
package ru.potapov.tm.endpoint;

import javax.xml.ws.WebFault;


/**
 * This class was generated by Apache CXF 3.2.7
 * 2019-11-25T17:03:53.481+03:00
 * Generated source version: 3.2.7
 */

@WebFault(name = "CloneNotSupportedException", targetNamespace = "http://endpoint.tm.potapov.ru/")
public class CloneNotSupportedException_Exception extends java.lang.Exception {

    private ru.potapov.tm.endpoint.CloneNotSupportedException cloneNotSupportedException;

    public CloneNotSupportedException_Exception() {
        super();
    }

    public CloneNotSupportedException_Exception(String message) {
        super(message);
    }

    public CloneNotSupportedException_Exception(String message, java.lang.Throwable cause) {
        super(message, cause);
    }

    public CloneNotSupportedException_Exception(String message, ru.potapov.tm.endpoint.CloneNotSupportedException cloneNotSupportedException) {
        super(message);
        this.cloneNotSupportedException = cloneNotSupportedException;
    }

    public CloneNotSupportedException_Exception(String message, ru.potapov.tm.endpoint.CloneNotSupportedException cloneNotSupportedException, java.lang.Throwable cause) {
        super(message, cause);
        this.cloneNotSupportedException = cloneNotSupportedException;
    }

    public ru.potapov.tm.endpoint.CloneNotSupportedException getFaultInfo() {
        return this.cloneNotSupportedException;
    }
}
